Bug 1328350 - Review Request: python-osrf-pycommon - Commonly needed Python modules used by software developed at OSRF
Summary: Review Request: python-osrf-pycommon - Commonly needed Python modules used by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1328284
TreeView+ depends on / blocked
 
Reported: 2016-04-19 08:02 UTC by Scott K Logan
Modified: 2016-05-24 05:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-23 20:07:52 UTC
richmattes: fedora-review+


Attachments (Terms of Use)

Description Scott K Logan 2016-04-19 08:02:30 UTC
Spec URL: https://cottsay.fedorapeople.org/python-osrf_pycommon/python-osrf_pycommon.spec
SRPM URL: https://cottsay.fedorapeople.org/python-osrf_pycommon/python-osrf_pycommon-0.1.2-1.fc25.src.rpm

Description:
osrf_pycommon is a python package which contains commonly used Python
boilerplate code and patterns. Things like ANSI terminal coloring, capturing
colored output from programs using sub-process, or even a simple logging system
which provides some nice functionality over the built-in Python logging system.

The functionality provided here should be generic enough to be reused in
arbitrary scenarios and should avoid bringing in dependencies which are not
part of the standard Python library. Where possible Windows and Linux/OS X
should be supported, and where it cannot it should be gracefully degrading.

Fedora Account System Username: cottsay

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13711630

rpmlint output:
python-osrf_pycommon.src: W: spelling-error %description -l en_US osrf -> serf
python-osrf_pycommon.src: W: spelling-error %description -l en_US pycommon -> common
python2-osrf_pycommon.noarch: W: spelling-error %description -l en_US osrf -> serf
python2-osrf_pycommon.noarch: W: spelling-error %description -l en_US pycommon -> common
python3-osrf_pycommon.noarch: W: spelling-error %description -l en_US osrf -> serf
python3-osrf_pycommon.noarch: W: spelling-error %description -l en_US pycommon -> common
python-osrf_pycommon-doc.noarch: W: spelling-error Summary(en_US) osrf -> serf
python-osrf_pycommon-doc.noarch: W: spelling-error Summary(en_US) pycommon -> common
python-osrf_pycommon-doc.noarch: W: spelling-error %description -l en_US osrf -> serf
python-osrf_pycommon-doc.noarch: W: spelling-error %description -l en_US pycommon -> common
4 packages and 1 specfiles checked; 0 errors, 10 warnings.

Thanks,

--scott

Comment 1 Rich Mattes 2016-04-30 15:54:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Apache (v2.0) BSD (2 clause)", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 18 files have unknown
     license. Detailed output of licensecheck in /home/rich/temp/1328350
     -python-osrf_pycommon/licensecheck.txt

     It appears that some of the code in osrf_pycommon-0.1.2/osrf_pycommon/terminal_color/windows.py
     is based off of a BSD-licensed project.  We might want License: to be ASL2.0 AND BSD,
     with a comment saying that this file is modified from a BSD project. It might be worth
     shooting a quick email to legal@lists.fedoraproject.org to see how to handle this case.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
     The https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Separators guidelines
     forbid underscores, except "packages where the upstream name naturally contains
     an underscore are excluded from this."  I'm not sure that this qualifies based on https://lists.fedoraproject.org/archives/list/packaging@lists.fedoraproject.org/thread/Y2O5NWCN77S3E4ENYYOU7FU3JPVCP7OE/#2BHNJFYJGWBHE55HLUSG3NZVPFL6MCLX, and the osrf debs do sub _ with - in the package names.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     osrf_pycommon-doc , python2-osrf_pycommon , python3-osrf_pycommon
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-osrf_pycommon-doc-0.1.2-1.fc22.noarch.rpm
          python2-osrf_pycommon-0.1.2-1.fc22.noarch.rpm
          python3-osrf_pycommon-0.1.2-1.fc22.noarch.rpm
          python-osrf_pycommon-0.1.2-1.fc22.src.rpm
python-osrf_pycommon-doc.noarch: W: spelling-error Summary(en_US) osrf -> serf
python-osrf_pycommon-doc.noarch: W: spelling-error Summary(en_US) pycommon -> common
python-osrf_pycommon-doc.noarch: W: spelling-error %description -l en_US osrf -> serf
python-osrf_pycommon-doc.noarch: W: spelling-error %description -l en_US pycommon -> common
python2-osrf_pycommon.noarch: W: spelling-error %description -l en_US osrf -> serf
python2-osrf_pycommon.noarch: W: spelling-error %description -l en_US pycommon -> common
python3-osrf_pycommon.noarch: W: spelling-error %description -l en_US osrf -> serf
python3-osrf_pycommon.noarch: W: spelling-error %description -l en_US pycommon -> common
python-osrf_pycommon.src: W: spelling-error %description -l en_US osrf -> serf
python-osrf_pycommon.src: W: spelling-error %description -l en_US pycommon -> common
4 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
python3-osrf_pycommon.noarch: W: spelling-error %description -l en_US osrf -> serf
python3-osrf_pycommon.noarch: W: spelling-error %description -l en_US pycommon -> common
python-osrf_pycommon-doc.noarch: W: spelling-error Summary(en_US) osrf -> serf
python-osrf_pycommon-doc.noarch: W: spelling-error Summary(en_US) pycommon -> common
python-osrf_pycommon-doc.noarch: W: spelling-error %description -l en_US osrf -> serf
python-osrf_pycommon-doc.noarch: W: spelling-error %description -l en_US pycommon -> common
python2-osrf_pycommon.noarch: W: spelling-error %description -l en_US osrf -> serf
python2-osrf_pycommon.noarch: W: spelling-error %description -l en_US pycommon -> common
3 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
python3-osrf_pycommon (rpmlib, GLIBC filtered):
    python(abi)

python-osrf_pycommon-doc (rpmlib, GLIBC filtered):

python2-osrf_pycommon (rpmlib, GLIBC filtered):
    python(abi)
    python-trollius



Provides
--------
python3-osrf_pycommon:
    python3-osrf_pycommon

python-osrf_pycommon-doc:
    python-osrf_pycommon-doc

python2-osrf_pycommon:
    python-osrf_pycommon
    python2-osrf_pycommon



Source checksums
----------------
https://github.com/osrf/osrf_pycommon/archive/0.1.2.tar.gz#/python-osrf_pycommon-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : ec1128de4a9d4edc01a4d8d18d0358528c965869c31d1554a3b39830ca2eda53
  CHECKSUM(SHA256) upstream package : ec1128de4a9d4edc01a4d8d18d0358528c965869c31d1554a3b39830ca2eda53


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1328350
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


==================

Once we decide whether the underscore is appropriate and how to treat the license of the window.py file I think this package is good to go.

Comment 2 Scott K Logan 2016-05-01 21:51:54 UTC
re Licensing:

Good catch. I think the Fedora guidelines[1] are actually pretty clear here. The package should be dual-licensed and annotated, which I have changed.

re Naming:

I had hoped to follow the other ROS underlay packages, but maybe the right move is to migrate them to the current naming scheme. In any case, I changed the package to be called python-osrf-pycommon (this had the side effect of making rpmlint happier).

Spec URL: https://cottsay.fedorapeople.org/python-osrf-pycommon/python-osrf-pycommon.spec

SRPM URL: https://cottsay.fedorapeople.org/python-osrf-pycommon/python-osrf-pycommon-0.1.2-1.fc25.src.rpm

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13882771

rpmlint output:
4 packages and 1 specfiles checked; 0 errors, 0 warnings.

Thanks,

--scott

[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios

Comment 3 Rich Mattes 2016-05-03 00:41:22 UTC
Agreed, the licensing looks good now with the note in the spec.  And the underscore to dash also looks good.  I don't know if there's a hurry to rename the existing packages that have underscores, but it probably would be nice at some point in the future.

This package is APPROVED.

Comment 4 Gwyn Ciesla 2016-05-05 13:15:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-osrf-pycommon

Comment 5 Scott K Logan 2016-05-06 05:07:27 UTC
Thanks, Rich!

Builds look good, submitting updates...

--scott

Comment 6 Fedora Update System 2016-05-06 05:08:09 UTC
python-osrf-pycommon-0.1.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-415434dc1c

Comment 7 Fedora Update System 2016-05-06 05:08:15 UTC
python-osrf-pycommon-0.1.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-28259b75b7

Comment 8 Fedora Update System 2016-05-06 05:08:19 UTC
python-osrf-pycommon-0.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b1af78765

Comment 9 Fedora Update System 2016-05-06 05:08:23 UTC
python-osrf-pycommon-0.1.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e9f201b9e9

Comment 10 Fedora Update System 2016-05-06 05:08:27 UTC
python-osrf-pycommon-0.1.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-050e8259b0

Comment 11 Fedora Update System 2016-05-06 11:26:22 UTC
python-osrf-pycommon-0.1.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e9f201b9e9

Comment 12 Fedora Update System 2016-05-06 20:51:37 UTC
python-osrf-pycommon-0.1.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-050e8259b0

Comment 13 Fedora Update System 2016-05-06 20:54:45 UTC
python-osrf-pycommon-0.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b1af78765

Comment 14 Fedora Update System 2016-05-07 00:21:42 UTC
python-osrf-pycommon-0.1.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-28259b75b7

Comment 15 Fedora Update System 2016-05-07 00:30:30 UTC
python-osrf-pycommon-0.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-415434dc1c

Comment 16 Fedora Update System 2016-05-23 20:07:49 UTC
python-osrf-pycommon-0.1.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-23 22:48:00 UTC
python-osrf-pycommon-0.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-24 01:22:08 UTC
python-osrf-pycommon-0.1.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-24 01:25:29 UTC
python-osrf-pycommon-0.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-24 05:48:30 UTC
python-osrf-pycommon-0.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.